%define module pycurl
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so
 
Summary:       A Python interface to libcurl
Name:          python-curl
Version:       7.19.5
Release:       %mkrel 4
Group:         Development/Python
License:       LGPLv2+
URL:           http://pycurl.sourceforge.net
Source0:       http://pycurl.sourceforge.net/download/%{module}-%{version}.tar.gz
Patch0:        pycurl-7.19.5-link.patch 
BuildRequires: python-devel
BuildRequires: python3-devel
BuildRequires: pkgconfig(libcurl) >= 7.19.0
BuildRequires: openssl-devel
Obsoletes:     python-pycurl < %{version}-%{release}
Provides:      python-pycurl = %{version}-%{release}

%description
PycURL is a Python interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%package -n python3-curl
Summary:       A Python interface to libcurl for Python 3
Group:         Development/Python

%description -n python3-curl
PycURL is a Python3 interface to libcurl. PycURL can be used to fetch
objects identified by a URL from a Python program, similar to the
urllib Python module. PycURL is mature, very fast, and supports a lot
of features.

%prep
%setup -qn %{module}-%{version}
%patch0 -p0

cp -a . %{py3dir}

%build
export CFLAGS="%{optflags}"
%{__python} setup.py docstrings
%{__python} setup.py --with-ssl build
pushd %{py3dir}
%{__python3} setup.py docstrings
%{__python3} setup.py --with-ssl build 
popd

%check
export PYTHONPATH=$RPM_BUILD_ROOT%{python_sitearch}
%{__python} -c 'import %{module}; print(%{module}.version)'
pushd %{py3dir}
export PYTHONPATH=$RPM_BUILD_ROOT%{python3_sitearch}
%{__python3} -c 'import %{module}; print(%{module}.version)'
popd

%install
%{__python} setup.py --with-ssl install -O1 --skip-build --root %{buildroot}
pushd %{py3dir}
%{__python3} setup.py --with-ssl install -O1 --skip-build --root %{buildroot}
popd
rm -rf %{buildroot}%{_datadir}/doc/pycurl
 

%files
%doc COPYING-LGPL COPYING-MIT ChangeLog README.rst examples doc
%{python_sitearch}/*

%files -n python3-curl
%doc COPYING-LGPL COPYING-MIT ChangeLog README.rst examples doc
%{python3_sitearch}/*




%changelog
* Wed Oct 15 2014 umeabot <umeabot> 7.19.5-4.mga5
+ Revision: 746397
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 7.19.5-3.mga5
+ Revision: 728215
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 7.19.5-2.mga5
+ Revision: 687954
- Mageia 5 Mass Rebuild

* Sun Jul 27 2014 philippem <philippem> 7.19.5-1.mga5
+ Revision: 657635
- update to 7.19.5, add Python3

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 7.19.0-10.mga4
+ Revision: 543173
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 7.19.0-9.mga4
+ Revision: 498337
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Jan 13 2013 umeabot <umeabot> 7.19.0-8.mga3
+ Revision: 378626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 fwang <fwang> 7.19.0-7.mga3
+ Revision: 329949
- fix linkage
- fix linkage
- fix linkage

* Thu Feb 17 2011 dmorgan <dmorgan> 7.19.0-6.mga1
+ Revision: 53056
- imported package python-curl


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 7.19.0-6mdv2011.0
+ Revision: 589994
- rebuild for python 2.7

* Mon Apr 12 2010 Funda Wang <fwang@mandriva.org> 7.19.0-5mdv2010.1
+ Revision: 533669
- rebuild for openssl 1.0

* Sun Oct 11 2009 Funda Wang <fwang@mandriva.org> 7.19.0-4mdv2010.0
+ Revision: 456652
- provides python-pycurl

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 7.19.0-3mdv2010.0
+ Revision: 442090
- rebuild

* Fri Dec 26 2008 Adam Williamson <awilliamson@mandriva.org> 7.19.0-2mdv2009.1
+ Revision: 319516
- rebuild with python 2.6

* Sun Sep 14 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.19.0-1mdv2009.0
+ Revision: 284779
- new release

* Wed Sep 10 2008 Per Øyvind Karlsen <peroyvind@mandriva.org> 7.18.2-1mdv2009.0
+ Revision: 283580
- new release

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 7.16.4-5mdv2009.0
+ Revision: 259529
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 7.16.4-4mdv2009.0
+ Revision: 247398
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 7.16.4-2mdv2008.1
+ Revision: 136447
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Sep 14 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 7.16.4-2mdv2008.0
+ Revision: 85589
- rework spec file
  add checks
  tune up CFLAGS

  + Götz Waschk <waschk@mandriva.org>
    - fix license

* Thu Sep 06 2007 Götz Waschk <waschk@mandriva.org> 7.16.4-1mdv2008.0
+ Revision: 80680
- new version
- update license tag


* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 7.15.5.1-1.20061108.1mdv2007.0
+ Revision: 88787
- Import python-curl

* Wed Nov 29 2006 Gtz Waschk <waschk@mandriva.org> 7.15.5.1-1.20061108.1mdv2007.1
- cvs snapshot

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-2mdk
- BuildRequires : need recent curl

* Tue May 03 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 7.13.2-1mdk
- 7.13.2

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 7.12.2-2mdk
- Rebuild for new python

* Tue Nov 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 7.12.2-1mdk
- initial package

